@import "../../../style.scss";
:root {
  --PrimaryColor: hsl(94, 59%, 35%);
  --HoverColor: #bdf094;
  --paleGreen: hsl(96, 75%, 89%);
  --whiteColor: hsl(0, 0%, 100%);
  --blackColor: hsl(0, 3%, 6%);
  --textColor: hsl(240, 1%, 48%);
  --bgColor: hsl(220, 10%, 94%);
  --greyText: rgb(190, 190, 190);
  --inputColor: hsl(330, 12%, 97%);

  --biggestFontSize: 2.5rem;
  --h1FontSize: 1.5rem;
  --h2fontSize: 1.25rem;
  --h3FontSize: 1rem;
  --normalFontSize: 0.938rem;
  --smallFontSize: 0.813rem;
  --smallestFontSize: 0.75rem;
}
.share {
  -webkit-box-shadow: 0px 0px 25px -10px rgba(0, 0, 0, 0.38);
  -moz-box-shadow: 0px 0px 25px -10px rgba(0, 0, 0, 0.38);
      box-shadow: 0px 0px 20px -10px rgb(0 0 0 / 28%);
    border-radius: 10px;
    background-color: var(--bgColor);
    color: var(--textColor);
    margin-bottom: 20px;
    padding: 20px;

    .top {
      position: relative;
      display: flex;
      align-items: center;
      justify-content: space-between;

      .left {
        display: flex;
    align-items: center;
        .img {
          width: 40px;
          height: 40px;
          border-radius: 50%;
          object-fit: cover;
          display: flex;

        }

        input {
          position: absolute;
          border: none;
          outline: none;
          padding: 20px 10px;
          background-color: transparent;
          width: 80%;
          color: var(--blackColor);
              margin-left: 3rem;
    font-size: 1.4rem;

        }

        input::placeholder{
          font-size: 1.3rem;
        }
      }

      .right {
        flex: 1;
        display: flex;
        justify-content: flex-end;
        .file {
          width: 100px;
          height: 100px;
          object-fit: cover;
          border-radius: 0px;
        }
      }
    }

    // hr {
    //   margin: 20px 0px;
    //   border: none;
    //   height: 0.5px;
    //   background-color: var(--bgColor);
    // }

    .bottom {
      margin-top: 2rem;
    gap: 2rem;
    align-items: center;
    display: flex;
    justify-content: space-between;
      .left {
        display: flex;
        align-items: center;
        gap: 20px;
        font-size: 1.6rem;

        .input{
              font-size: 1.4rem;
    border: none;
    outline: none;
    background-color: var(--bgColor);
    margin-left: 4px;
    width: 90%;
    color: black;
        }
        img {
            height: 20px;
          }
        .item {
          display: flex;
          align-items: center;
          gap: 10px;
          cursor: pointer;

          

          span {
            font-size: 1.3rem;
            color: gray;
          }
        }
      }
      .right {
        button {
              border: none;
            padding: 12px;
            color: white;
            cursor: pointer;
            background-color: darkslategrey;
            border-radius: 8px;
        }
      }
    }
  
}
